Package de.willuhn.jameica.hbci.rmi

# Class KontoauszugInterval.IntervalBiWeekly

java.lang.Object
de.willuhn.jameica.hbci.rmi.KontoauszugInterval
de.willuhn.jameica.hbci.rmi.KontoauszugInterval.IntervalBiWeekly

Enclosing class:
  `KontoauszugInterval`

public static class KontoauszugInterval.IntervalBiWeekly extends KontoauszugInterval
Intervall fuer zwei-woechentlich.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.rmi.KontoauszugInterval

`KontoauszugInterval.IntervalAlways, KontoauszugInterval.IntervalBiWeekly, KontoauszugInterval.IntervalMonthly, KontoauszugInterval.IntervalNever, KontoauszugInterval.IntervalWeekly`

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.rmi.KontoauszugInterval

`DEFAULT, KNOWN`

## Constructor Summary

Constructors
Constructor
Description
`IntervalBiWeekly()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Liefert einen Identifier fuer das Intervall.
`String`
`getName()`
Liefert einen sprechenden Namen fuer das Intervall.
`Date`
`getNextInterval(Date last)`
Ermittelt das naechste Intervall basierend auf dem letzten Termin.

### Methods inherited from class de.willuhn.jameica.hbci.rmi.KontoauszugInterval

`find, getNextInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntervalBiWeekly

public IntervalBiWeekly()

## Method Details

### getNextInterval

public Date getNextInterval(Date last)
Description copied from class: `KontoauszugInterval`
Ermittelt das naechste Intervall basierend auf dem letzten Termin.

Specified by:
  `getNextInterval` in class `KontoauszugInterval`
Parameters:
  `last` - der letzte Termin. Kann NULL sein.
Returns:
  das naechste Datum oder NULL, wenn keines existiert.

### getId

public String getId()
Description copied from class: `KontoauszugInterval`
Liefert einen Identifier fuer das Intervall.

Specified by:
  `getId` in class `KontoauszugInterval`
Returns:
  ein Identifier fuer das Intervall.

### getName

public String getName()
Description copied from class: `KontoauszugInterval`
Liefert einen sprechenden Namen fuer das Intervall.

Specified by:
  `getName` in class `KontoauszugInterval`
Returns:
  sprechender Name fuer das Intervall.